Subject: Issue 72: Re: [Ietf-calsify] Section 4.6.5 Time Zone Component: Not required when DTSTART is a DATE

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Feb 5 11:56:32 2007

At the 67th IETF Meeting we reached consensus on issue 43 (Section 4.8.5.4
Recurrence Rule: Allowed value type of DTSTART and DTEND):

http://www.ofcourseimright.com/cgi-bin/roundup/calsify/issue43
http://www3.ietf.org/proceedings/06nov/minutes/calsify.txt

and the text was changed accordingly in draft -04:

http://tools.ietf.org/wg/calsify/draft-ietf-calsify-rfc2445bis/draft-ietf-calsify-rfc2445bis-05.changes.html#rfc.change.#issue43+4.8.5.4_allowed_datetime_form_in_recur_comp.1

I would like to make a new proposal for issue 72 which is somewhat related
to issue 43.

I would like to *remove* the following paragraph in section 4.6.5 Time Zone
Component:

 > The "VTIMEZONE" calendar component MUST be present if the iCalendar
 > object contains an RRULE that generates dates on both sides of a time
 > zone shift (e.g. both in Standard Time and Daylight Saving Time)
 > unless the iCalendar object intends to convey a floating time (See
 > the section "4.1.10.11 Time" for proper interpretation of floating
 > time). It can be present if the iCalendar object does not contain
 > such a RRULE. In addition, if a RRULE is present, there MUST be valid
 > time zone information for all recurrence instances.

I would like to rephrase the last sentence of the removed paragraph and
move it at the end of this paragraph:

 > An individual "VTIMEZONE" calendar component MUST be specified for
 > each unique "TZID" parameter value specified in the iCalendar object.

Proposed new text:

 > An individual "VTIMEZONE" calendar component MUST be specified for
 > each unique "TZID" parameter value specified in the iCalendar object.
 > In addition, a "VTIMEZONE" calendar component, referred to by a
 > recurring calendar component, MUST provide valid time zone information
 > for all recurrence instances.

Cheers,
Bernard

Cyrus Daboo wrote:
> Hi Bernard,
> 
> --On November 5, 2006 5:28:29 PM -0500 Bernard Desruisseaux 
> <[email-masked]> wrote:
> 
>> Proposed new text:
>>
>>  > The "VTIMEZONE" calendar component MUST be present if the calendar
>>  > component contains an "RRULE" that generates recurrence instances on
>>  > both sides of a time zone shift (e.g., both in Standard Time and
>>  > Daylight Saving Time) unless the "DTSTART" property of the calendar
>>  > component is specified as a DATE value or as a "floating" DATE-TIME
>>  > value (See section 3.3.12 for proper interpretation of floating time).
> 
> Actually what is being said here is that a recurring event that uses a 
> DATE-TIME value for DTSTART MUST either be floating or local time (i.e. 
> timezone). Whether VTIMEZONE is present or not is then determined by the 
> requirement of having it present if a DTSTART uses a TZID property. i.e. 
> the RRULE does not drive the requirement for VTIMEZONE, instead the 
> DTSTART does.
>

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Feb 5 11:58:26 2007

Hi Bernard,

>  > for all recurrence instances.

+1

-- 
Cyrus Daboo

---

From: reinhold at kainhofer.com (Reinhold Kainhofer)
Date: Mon Feb 5 12:22:04 2007

Am Mon Feb 5 2007 schrieb Bernard Desruisseaux:
> http://tools.ietf.org/wg/calsify/draft-ietf-calsify-rfc2445bis/draft-ietf-c
>alsify-rfc2445bis-05.changes.html#rfc.change.#issue43+4.8.5.4_allowed_dateti
>me_form_in_recur_comp.1

+1

Just a thought: Shouldn't the "should" be rather a "SHOULD" in the 
senctence "should be specified as a date with local time and time zone 
reference"?

>  > for all recurrence instances.

+1, too.

Cheers,
Reinhold

- -- 
- ------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/